csudma: XCsuDma_Configure Struct Reference

| csudma Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCsuDma_Configure Struct Reference

This typedef contains all the configuration feilds which needs to be set before the start of the data transfer. More...

## Data Fields
u8 | SssFifoThesh
| SSS FIFO threshold value. More...
u8 | ApbErr
| ABP invalid access error. More...
u8 | EndianType
| Type of endianess. More...
u8 | AxiBurstType
| Type of AXI bus. More...
u32 | TimeoutValue
| Time out value. More...
u8 | FifoThresh
| FIFO threshold value. More...
u8 | Acache
| AXI CACHE selection. More...
u8 | RouteBit
| Selection of Route. More...
u8 | TimeoutEn
| Enable of time out counters. More...
u16 | TimeoutPre
| Pre scaler value. More...
u8 | MaxOutCmds
| Maximum number of outstanding commands. More...

## Detailed Description

This typedef contains all the configuration feilds which needs to be set before the start of the data transfer.

All these feilds of CSU_DMA can be configured by using XCsuDma_SetConfig API.

## Field Documentation

u8 XCsuDma_Configure::Acache

AXI CACHE selection.

Referenced by XCsuDma_GetConfig(), and XCsuDma_SetConfig().

u8 XCsuDma_Configure::ApbErr

ABP invalid access error.

Referenced by XCsuDma_GetConfig(), and XCsuDma_SetConfig().

u8 XCsuDma_Configure::AxiBurstType

Type of AXI bus.

Referenced by XCsuDma_GetConfig(), and XCsuDma_SetConfig().

u8 XCsuDma_Configure::EndianType

Type of endianess.

Referenced by XCsuDma_GetConfig(), and XCsuDma_SetConfig().

u8 XCsuDma_Configure::FifoThresh

FIFO threshold value.

Referenced by XCsuDma_GetConfig(), and XCsuDma_SetConfig().

u8 XCsuDma_Configure::MaxOutCmds

Maximum number of outstanding commands.

Referenced by XCsuDma_GetConfig(), and XCsuDma_SetConfig().

u8 XCsuDma_Configure::RouteBit

Selection of Route.

Referenced by XCsuDma_GetConfig(), and XCsuDma_SetConfig().

u8 XCsuDma_Configure::SssFifoThesh

SSS FIFO threshold value.

Referenced by XCsuDma_GetConfig(), and XCsuDma_SetConfig().

u8 XCsuDma_Configure::TimeoutEn

Enable of time out counters.

Referenced by XCsuDma_GetConfig(), and XCsuDma_SetConfig().

u16 XCsuDma_Configure::TimeoutPre

Pre scaler value.

Referenced by XCsuDma_GetConfig(), and XCsuDma_SetConfig().

u32 XCsuDma_Configure::TimeoutValue

Time out value.

Referenced by XCsuDma_GetConfig(), and XCsuDma_SetConfig().